Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2297,
"created_at": "2018-12-15 17:44:07",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2018-12-15 17:47:29",
"format": 0,
"frequency": "value",
"last_run_at": "2018-12-15 17:38:46",
"name": "value",
"next_run_at": "2018-12-15 17:40:49",
"report_id": 2017,
"start_at": "2018-12-15 17:45:11",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 623,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-06",
"end_at": "2026-11-06",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 6845,
"created_at": "2021-06-30 09:18:23",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2021-06-30 09:21:37",
"format": 0,
"frequency": "value",
"last_run_at": "2021-06-30 09:33:07",
"name": "value",
"next_run_at": "2021-06-30 09:36:11",
"report_id": 5287,
"start_at": "2021-06-30 09:24:50",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/44 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4246,
"created_at": "2025-06-16 20:58:53",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2025-06-16 21:03:53",
"format": 0,
"frequency": "value",
"last_run_at": "2025-06-16 20:59:59",
"name": "value",
"next_run_at": "2025-06-16 21:02:40",
"report_id": 5487,
"start_at": "2025-06-16 21:04:01",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/60 HTTP/1.1
Host: l7api.com
{
"report_id": 787,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-06",
"end_at": "2026-11-06",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4075,
"created_at": "2025-06-06 09:15:13",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2025-06-06 09:04:13",
"format": 0,
"frequency": "value",
"last_run_at": "2025-06-06 09:14:36",
"name": "value",
"next_run_at": "2025-06-06 09:05:48",
"report_id": 919,
"start_at": "2025-06-06 09:18:59",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/92 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 8910,
"created_at": "2016-08-14 02:18:40",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2016-08-14 02:12:40",
"format": 0,
"frequency": "value",
"last_run_at": "2016-08-14 02:23:42",
"name": "value",
"next_run_at": "2016-08-14 02:16:50",
"report_id": 4009,
"start_at": "2016-08-14 02:21:33",
"status": 1,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}